<?php
$CK_data=get_cookie();
#ファイルの読み込み＆下層カテゴリ表示
##ファイルの読み込み
$time=time();
$start=$time-$EST[rank_kikan]*86400;
$end=$time;
if($_GET[mode] == "kt"){ #各カテゴリの場合

	$Stitle=$ganes[$_GET[kt]];

	if (isset($CK_data[6])) $EST['kt_child_show']=$CK_data[6];
	if (!isset($_GET['sort']) && isset($CK_data[7])) $EST['defo_hyouji']=$_GET['sort']=$CK_data[7];
	if (isset($_GET['sort'])) $CK_data[7]=$_GET['sort'];

	if (isset($_GET['child_show'])) {
		$EST['kt_child_show'] = $_GET['child_show'];
		$g_prm_child = "&child_show=".$_GET['child_show'];
		$CK_data[6]=$_GET['child_show'];
	} else {
		$g_prm_child = "";
	}
	
	set_cookie($CK_data);
	
	if ($EST['kt_child_show']){
		$kt_sql = "&".$_GET[kt];
		if (Child_count($_GET[kt]) > 0) $Stitle .= " (下層カテゴリデータ表示中)";
	} else {
		$kt_sql = "&".$_GET[kt]."&";
	}

	if(!$_GET[sort]){
		$order="mark DESC, id DESC"; #デフォルトの読み込み方法
	} else {
		switch($_GET[sort]) {
			case "id_new": $order="id DESC"; break;
			case "id_old": $order="id"; break;
			case "time_new": $order="stamp DESC"; break;
			case "time_old": $order="stamp"; break;
			case  "ac_new": $order="title"; break;
			case  "ac_old": $order="title DESC"; break;
			case  "rating": $order = "rating DESC"; break;
			case  "vote": $order = "votes DESC"; break;
			case  "comment": $order = "comments DESC"; break;
			default: $order="mark DESC, id DESC";
		}
	}
	$Ssearch_kt=$_GET[kt]; #検索対象のカテゴリ番号
	$log_lines=array(); #表示データリスト
	$Clog=array(); #各カテゴリの登録数
	$st_no=$EST[hyouji]*($_GET[page] -1);

	$query = "SELECT category FROM $EST[sqltb]log WHERE category LIKE '%&$_GET[kt]%';";
	//$query = "SELECT category FROM $EST[sqltb]log WHERE category LIKE '%&$Spre_kt_file%';";
	$result = $xoopsDB->query($query) or die("Query failed");
	while ($line = mysql_fetch_row($result)) {
		$tmp = explode("&", $line[0]);
		foreach($tmp as $tmp2) {
			$Clog[$tmp2]++;
		}
		$Clog['_ALL_']++;
	}
	
	if ($EST['kt_child_show']) $Clog[$Ssearch_kt] = $Clog['_ALL_'];

	$query = "SELECT * FROM $EST[sqltb]log WHERE category LIKE '%$kt_sql%' ORDER BY $order LIMIT $st_no, $EST[hyouji];";
	$result = $xoopsDB->query($query) or die("Query failed");
	while ($Slog = mysql_fetch_row($result)) {
		if($CK_data[3] || $is_admin == 1) {
			$query="SELECT COUNT(*) FROM $EST[sqltb]rank WHERE time BETWEEN $start AND $end AND id='$Slog[0]'";
			$result2 = $xoopsDB->query($query) or die("Query failed kt40 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] = "${EST[rank_kikan]}日(${count[0]})";
			$query="SELECT COUNT(*) FROM $EST[sqltb]rank WHERE id='$Slog[0]'";
			$result2 = $xoopsDB->query($query) or die("Query failed kt44 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] .= "_"."総(${count[0]})";
			$query="SELECT COUNT(*) FROM $EST[sqltb]rev WHERE time BETWEEN $start AND $end AND id='$Slog[0]'";
			$result2 = $xoopsDB->query($query) or die("Query failed kt48 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] .= ":逆リンク "."${EST[rank_kikan]}日(${count[0]})";
			$query="SELECT COUNT(*) FROM $EST[sqltb]rev WHERE id='$Slog[0]'";
			$result2 = $xoopsDB->query($query) or die("Query failed kt52 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] .= "_"."総(${count[0]})";
		}
		array_push($log_lines,$Slog);
	}
}
else{ #その他の特殊カテゴリ
	$Stitle=$EST["name_$_GET[mode]"];
	$log_lines=array(); #表示データリスト
	$Ssearch_kt=$Spre_kt_file;
	$st_no=$EST[hyouji]*($_GET[page] -1);
	if($_GET[mode] == 'new') {
		$ntime=time()-$EST[new_time]*24*3600;
		//$query = " stamp > $ntime AND renew = 0 ORDER BY mark DESC, id DESC";
		$query = " build_time > $ntime ORDER BY build_time DESC";
	} elseif($_GET[mode] == 'renew') {
		$ntime=time()-$EST[new_time]*24*3600;
		$query = " stamp > $ntime AND renew = 1 ORDER BY stamp DESC";
	} elseif($_GET[mode] == 'm1') {
		$query = " mark LIKE '1%'";
	} elseif($_GET[mode] == 'm2') {
		$query = " mark LIKE '%1'";
	} else {echo "STOP in temp.php in 245"; exit;}
	$query1="SELECT * FROM $EST[sqltb]log WHERE".$query." LIMIT $st_no, $EST[hyouji]";
	$result = $xoopsDB->query($query1) or die("Query failed kt110 $query");
	while($Slog = mysql_fetch_row($result)){
		if($CK_data[3] || $is_admin == 1) {
			$query2="SELECT COUNT(*) FROM $EST[sqltb]rank WHERE time BETWEEN $start AND $end AND id='$Slog[0]'";
			$result2 = $xoopsDB->query($query2) or die("Query failed kt40 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] = "${EST[rank_kikan]}日(${count[0]})";
			$query2="SELECT COUNT(*) FROM $EST[sqltb]rank WHERE id='$Slog[0]'";
			$result2 = $xoopsDB->query($query2) or die("Query failed kt44 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] .= "_"."総(${count[0]})";
			$query2="SELECT COUNT(*) FROM $EST[sqltb]rev WHERE time BETWEEN $start AND $end AND id='$Slog[0]'";
			$result2 = $xoopsDB->query($query2) or die("Query failed kt48 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] .= ":逆リンク "."${EST[rank_kikan]}日(${count[0]})";
			$query2="SELECT COUNT(*) FROM $EST[sqltb]rev WHERE id='$Slog[0]'";
			$result2 = $xoopsDB->query($query2) or die("Query failed kt52 $query");
			$count=mysql_fetch_row($result2);
			$Slog[count] .= "_"."総(${count[0]})";
		}
		array_push($log_lines,$Slog);
	}
	$query3="SELECT COUNT(*) FROM $EST[sqltb]log WHERE".$query;
	$result = $xoopsDB->query($query3) or die("Query failed kt115 $query");
	$num = mysql_fetch_row($result);
	$Clog[$Ssearch_kt]=$num[0];
}
#ナビゲーションバーを表示
$kt=explode("_",$_GET[kt]); array_pop($kt);
foreach ($kt as $tmp){
	$temp_kt .= $tmp;
	$navi .= "<a href=\"$Ekt$temp_kt$Eend\">$ganes[$temp_kt]</a> &gt; ";
	$temp_kt .="_";
}
if($_GET[mode] == "new"){
	$query = "SELECT COUNT(*) FROM $EST[sqltb]log";
	$result = $xoopsDB->query($query) or die("Query failed yomi43 $query");
	$total_url = mysql_fetch_row($result);
	$navi .= " - 現在の総登録数:<b>$total_url[0]</b>サイト";
}
##ページ説明を表示
gane_guide();
if($_GET[mode] == "kt"){$guide = $KTEX[$_GET[kt]];}
else{$guide = $KTEX[$Spre_kt_file];}
unset($KTEX);
?>

<link rel="stylesheet" href="<?=$EST[html_path_url]?>style.css" type="text/css">
<script type="text/javascript">
<!--
function ch_type(sel){
// onchangeでウィンドウを開く方法を選択
var form=document.form1;
var open_type=sel.options[sel.selectedIndex].value;
if(open_type==1){form.target="_blank";}
else{form.target="";}
}
//-->
</script>

<a name=top></a>
<!-- メニューバー -->
<div align=right><font id=small>
<?php
	menu_bar();
	?></font></div>
<hr>
<!-- ナビゲーションバー -->
<?=YOMI_HOME_URL?> &gt; <?=$navi?> 
<table width=100%><tr><td id="title-bar">
<b><?=$Stitle?></b>
</td></tr></table>
<?=$guide?>
<?php
#ヘッダスペース
head_sp();
gane_st(); #カテゴリ属性をロード
##下層カテゴリ
if($_GET[mode] == "kt"){
	$child_count=PRbelow_kt(
		$_GET[kt],
		'1', #← 1=登録数表示/0=登録数非表示
		'4'  #← カテゴリの表示列数
	);
}
?><!-- ページ中段の検索フォーム -->
<hr>
<table width="100%" cellpadding=8 cellspacing=0 border=0>
<tr id="mid-bar">
<td colspan=2>
	<form action="<?=$EST[cgi_path_url].$EST[search]?>" method=get  target="" name="form1">
	<input type=hidden name=mode value=search>
	<input type=hidden name=page value=1>
	<input type=hidden name=sort value=<?=$EST[defo_hyouji]?>>
	<font id=small>
	[<a href="<?=$EST[cgi_path_url].$EST[search]?>">More</a>] 
	[<a href="<?=$EST[cgi_path_url].$EST[search]?>?window=_blank">New Window</a>]
	</font>
	<br />
	<input type=text name=word value="" size="20"> <input type=submit value=" 検 索 "> <input type=reset value="リセット">
	&nbsp;
<?php
if($ganes[$_GET[kt]]){
	?>
	<select name=search_kt>
		<option value="<?=$Ssearch_kt?>-b_all" selected>このカテゴリ以下から検索
		<option value="<?=$Ssearch_kt?>">このカテゴリから検索
		<option value="">全検索
	</select>
<?php
}
?>
	<select name=method>
		<option value="and" selected>すべての語を含む
		<option value="or">いずれかの語を含む
	</select>
	<select name=engine>
<?php
search_form();
?>
	</select>
	<select name=open_type onchange=ch_type(this)>
		<option value="0"selected>次ページで
		<option value="1">別窓で
	</select>
	<input type=hidden name=hyouji value="30">
</td>
</tr>
<tr><td></form>
	 <font id=small>
	 [<a href="#other">他のカテゴリ</a>] 
	 [<a href="<?=$EST[cgi_path_url]?>sitemap.php">サイトマップ</a>]
	 </font>
</td><td align=right>	<font id=small>
	[<a href="<?=$EST[cgi_path_url]?>regist_ys.php?mode=help">ヘルプ</a>] 
	 [<a href="<?=$EST[cgi_path_url]?>regist_ys.php?mode=enter">修正・削除</a>] 
<?php
if(!$gane_UR[$_GET[kt]] && $_GET[mode] == "kt"){
	?>
	[<a href="<?=$EST[cgi_path_url]?>regist_ys.php?mode=regist&kt=<?=$_GET[kt]?>">このカテゴリに新規登録</a>]
<?php
}
?>
</font></td></tr>
</table>
<?php
if($Clog[$Ssearch_kt]){
	?>
<!-- データがある場合 -->
<hr>
<!-- 表示方法選択フォーム -->
<?php
	if($_GET[kt] && ($EST[rank_fl] || $EST[rev_fl])){
		echo "[カテゴリ別]：";
		if($EST[rank_fl]){echo ' <a href="'.$EST[rank].'?kt='.$_GET[kt].$g_prm_child.'">人気ランキング</a> ';}
		if($EST[rank_fl] && $EST[rev_fl]){echo " - ";}
		if($EST[rev_fl]){echo ' <a href="'.$EST[rank].'?mode=rev&kt='.$_GET[kt].'">アクセスランキング</a> ';}
	}
	if($_GET[mode] == "kt"){
		?>
<div><form action="<?=$EST[script]?>" method="get">
	<input type=hidden name=page value="1">
	<input type=hidden name=mode value="<?=$_GET[mode]?>">
	<input type=hidden name=kt value="<?=$_GET[kt]?>">
[現在の表示：<b>
<?php
		if ($g_prm_child) echo "<input type=hidden name=child_show value=\"".$EST['kt_child_show']."\">";
		if(!$_GET[sort]){
			switch ($EST[defo_hyouji]) {
				case "time_new": echo "更新日の新しい順"; break;
				case "id_new": echo "登録日の新しい順"; break;
				case "ac_new": echo "アイウエオ順(昇順)"; break;
				case "ac_old": echo "アイウエオ順(降順)"; break;
				case "id_old": echo "登録日の古い順"; break;
				case "time_old": echo "更新日の古い順"; break;
				case "comment": echo "コメントの多い順"; break;
				case "rating": echo "評価の高い順"; break;
				case "vote": echo "投票の多い順"; break;
				default: echo "マーク順";
			}
		}
		else {
			switch ($_GET[sort]) {
				case "time_new": echo "更新日の新しい順"; break;
				case "id_new": echo "登録日の新しい順"; break;
				case "ac_new": echo "アイウエオ順(昇順)"; break;
				case "ac_old": echo "アイウエオ順(降順)"; break;
				case "id_old": echo "登録日の古い順"; break;
				case "time_old": echo "更新日の古い順"; break;
				case "comment": echo "コメントの多い順"; break;
				case "rating": echo "評価の高い順"; break;
				case "vote": echo "投票の多い順"; break;
				default: echo "マーク順";
			}
		}
		?>
</b>]
	<select name=sort>
		<option value="" selected>---------------
		<option value="time_new">更新日の新しい順で
		<option value="id_new">登録日の新しい順で
		<option value="mark">マーク順で
		<option value="comment">コメントの多い順で
		<option value="rating">評価の高い順で
		<option value="vote">投票の多い順で
		<option value="ac_new">アイウエオ順(昇順)で
		<option value="">---------------
		<option value="ac_old">アイウエオ順(降順)で
		<option value="id_old">登録日の古い順で
		<option value="time_old">更新日の古い順で
	</select>
	<input type=submit value="表示">
<?php
	if ($child_count){
		if ($EST['kt_child_show']){
			echo "<a href=\"$EST[script]?&mode=$_GET[mode]&kt=$_GET[kt]&sort=$_GET[sort]&child_show=0\">下層カテゴリデータは表示しない。</a>";
		} else {
			echo "<a href=\"$EST[script]?&mode=$_GET[mode]&kt=$_GET[kt]&sort=$_GET[sort]&child_show=1\">下層カテゴリデータも表示する。</a>";
		}
	}
?>
</form></div>
<?php
	}
	##一括削除用のフォーム出力(上)
	if($CK_data[3] || $is_admin == 1){
		?>
	<form action="<?=$EST[cgi_path_url]?>regist_ys.php" method=post>
		<input type=hidden name=mode value="act_del">
		<input type=hidden name=del_mode value="multi">
		<input type=hidden name=changer value="admin">
<?php
	}
	?>
<!-- マークコメント/登録数表示/目次表示(上) -->
<img src="<?=$EST[img_path_url]?>m1.gif" align=bottom>
は<?=$EST[name_m1]?>、 <img src="<?=$EST[img_path_url]?>m2.gif" align=bottom>
は<?=$EST[name_m2]?>です。 <font id=kanri><b>この色</b></font>の文は管理人のコメントです。<br>
※リンク先が無くなっている等の問題がある場合にはタイトル横の [<b>管理者に通知</b>] リンクを押してください
<br><br>
<?php
	$arg=array($_GET[page],$Clog[$Ssearch_kt],$EST[hyouji],"$g_prm_child&mode=$_GET[mode]&kt=$_GET[kt]&sort=$_GET[sort]",$EST[script]);
	$PRmokuji=mokuji($arg);
	?>
<?=$PRmokuji?>
<ul>
<?php
	EST_reg();
	foreach ($log_lines as $Slog){
		if($EST[rank_fl]){
			$jump_url=$Slog[2];
			$jump_url=urlencode($jump_url);
			$jump_url="$EST[cgi_path_url]$EST[rank]?mode=link&id=$Slog[0]&url=$jump_url";
		}
		else{$jump_url=$Slog[2];}
		?>
<!-- ログ表示 -->
<table style="border:5px solid #DDDDDD;" id=log>
<tr id=log-1>
	<td class="yomi"><a href="<?=$jump_url?>" target="_blank" style="text-decoration:none" title="新しいウィンドウで開く">■</a> <a href="<?=$jump_url?>" title="このウィンドウで開く&#13;&#10;左の■は別ウィンドウ"><font size="+1"><b><?=$Slog[1]?></b></font></a> 
<?php
		put_icon(); #<!-- ←アイコンを付加 -->
		?>
 <br><div align="right"><font size="-1">更新日：<?=$Slog[4]?></font></div>
<?php
		if($CK_data[3] || $is_admin == 1){
			?>
[<input type=checkbox name="del[]" value="<?=$Slog[0]?>"> 削除チェック] 
アクセス数：<?=$Slog[count]?><br>
<?php
		}
		if($Slog[12]){
			?>
<a href="<?=$jump_url?>" target="_blank">
<img src="<?=$Slog[12]?>" alt="<?=$Slog[1]?>" width=<?=$EST_reg[Mbana_w]?> height=<?=$EST_reg[Mbana_h]?>></a>
<?php
		}
		?>
</td>
</tr>
<?php
		if(!$ganes[$_GET[kt]] || $EST['kt_child_show']){
			?>
<tr id=log-2>
<td class="yomi">
<?php
			$kt=explode("&",$Slog[10]);
			foreach($kt as $tmp){
				if($ganes[$tmp]){
					echo "[<a href=\"$Ekt$tmp$Eend\">";
					#echo $ganes[$tmp]; #カテゴリ名を短縮カテゴリ名で表示
					echo full_kt($tmp); #カテゴリ名をフルカテゴリ名で表示
					echo "</a>] "; #１カテゴリごとに改行する場合は echo "</a>] <br>"; に修正
				}
			}
			?>
</td>
</tr>
<?php
		}
		?>
<tr id=log-3>
	<td class="yomi"><?=nl2br($Slog[6])?></td>
</tr>
<?php
		if($Slog[7]){
			?>
<tr id=log-4>
	<td class="yomi"><font id=kanri><?=nl2br($Slog[7])?></font></td>
</tr>
<?php
		}
		?>
<tr id=log-5>
	<td style="text-align:center;"><font size="-1">評価: <?=round($Slog[18],2)?> (投票数 <?=$Slog[19]?> )</font></td>
</tr>
<tr id=log-6>
	<td style="text-align:center;"><font size="-1">[<a href="ratelink.php?lid=<?=$Slog[0]?>">このサイトを評価する</a>] [<a href="<?=$EST[cgi_path_url]?>regist_ys.php?mode=enter&id=<?=$Slog[0]?>" target="">修正・削除</a>] [<a href="<?=$EST[cgi_path_url]?>regist_ys.php?mode=no_link&id=<?=$Slog[0]?>&pre=on&title=<?=rawurlencode($Slog[1])?>">管理者に通知</a>] [<a href="single_link.php?item_id=<?=$Slog[0]?>">コメント(<?=$Slog[20]?>)</a>] </font></td>
</tr>
</table><br>
<!-- /ログ表示 -->
<?php
}
	?>
</ul>
<!-- 目次表示(下) -->
<?=$PRmokuji?>
<!--/データがある場合-->
<?php
	##一括削除用のフォーム出力(下)
	if($CK_data[3] || $is_admin == 1){
		?>
<center>
<input type=submit value="一括削除実行">
</center>
</form>
<?php
	}
} else {
	if ($child_count){
		if ($EST['kt_child_show']){
			echo "<a href=\"$EST[script]?&mode=$_GET[mode]&kt=$_GET[kt]&sort=$_GET[sort]&child_show=0\">下層カテゴリはデータは表示しない。</a>";
		} else {
			echo "<a href=\"$EST[script]?&mode=$_GET[mode]&kt=$_GET[kt]&sort=$_GET[sort]&child_show=1\">下層カテゴリデータも表示する。</a>";
		}
	}
}
?>
<hr>
<?php
PR_other_kt("");
#フッタスペース
foot_sp();
include("footer.php");
?>

<?php
if (isset($link) && $link) {
	@mysql_close($link);
}
exit;
?>